#include "stdafx.h"
#include <stdio.h>

class TMyNode{
	int score;

public:
	TMyNode(){}
	TMyNode(int sc){score=sc;}
	TMyNode(TSIn& SIn){SIn.Load(score);}
	int getScore(){return score;}
	void Load(TSIn& SIn){SIn.Load(score);}
    void Save(TSOut& SOut) const {SOut.Save(score);}
};

int main(int argc, char* argv[]) {
  TNodeNet<TMyNode> g(2,1);
  g.AddNode(1, TMyNode(100));
  g.AddNode(2, TMyNode(200));
  g.AddEdge(1,2);

  for (TNodeNet<TMyNode>::TNodeI p=g.BegNI(); p<g.EndNI(); p++)
	  printf("no.%d node has score %d\n", p.GetId(),  p.GetDat().getScore()); 
  g.Save(TFOut("a.bin"));

  return 0;
}
