#include "stdafx.h"
#include <iostream>

using namespace std;

int main(int argc, char* argv[]) {
	
	//TInt
	{
		TInt a=5;  cout<<a<<endl;  // --- 5
	}
	cout<<endl;

	//TStr
	{
		TStr a="abc";  
		TStr b="ccc";  
		cout<<a.CStr()<<endl;     //(char*)    --- abc
		cout<<a.Len()<<endl;      //            --- 3 
		cout<<a[0]<<endl;         //            --- a
		cout<<(a==b)<<endl;       //            --- 0
	}
	cout<<endl;
	
	//Vectors
	{
		TVec<TInt> a;  
		a.Add(10);  
		a.Add(20);  
		a.Add(30);  
		cout<<a[0]<<endl;      //		--- 10
		cout<<a.Len()<<endl;   //		--- 3
	}
	cout<<endl;


	//Hash Table
	{
		THash<TInt, TStr> a;
		a.AddDat(12)="abc";
		a.AddDat(34)="def";
		cout<<a.GetKey(0)<<endl;          //	-----  12
		cout<<a[0].CStr()<<endl;		  //    -----  abc
		cout<<a.GetKeyId(12)<<endl;		  //    -----  0
		cout<<a.GetDat(34).CStr()<<endl;  //    ----- def
	}
	cout<<endl;

	//Hash Sets
	{
		THashSet<TInt> a;
		a.AddKey(12);
		a.AddKey(34);
		a.AddKey(56);
		cout<<a.GetKey(2)<<endl;   //	--- 56		
	}
	cout<<endl;

	//Saving and Loading
	{
		TVec<TInt> a;
		a.Add(1);
		a.Add(2);
		{
			TFOut fout("a.bin");
			a.Save(fout);
		}
	
		{
			TFIn fin("a.bin");
			a.Load(fin);
		}
	}

    return 0;
}
